Loading...
Searching...
No Matches
janus_textroom_room Struct Reference
Collaboration diagram for janus_textroom_room:
[legend]

## Data Fields

guint64 | room_id
gchar * | room_id_str
gchar * | room_name
gchar * | room_secret
gchar * | room_pin
gboolean | is_private
gchar * | http_backend
GHashTable * | participants
uint16_t | history_size
GQueue * | history
gboolean | check_tokens
GHashTable * | allowed
volatile gint | destroyed
janus_mutex | mutex
janus_refcount | ref

## Field Documentation

## allowed

GHashTable* janus_textroom_room::allowed

## check_tokens

gboolean janus_textroom_room::check_tokens

## destroyed

volatile gint janus_textroom_room::destroyed

## history

GQueue* janus_textroom_room::history

## history_size

uint16_t janus_textroom_room::history_size

## http_backend

gchar* janus_textroom_room::http_backend

## is_private

gboolean janus_textroom_room::is_private

## mutex

janus_mutex janus_textroom_room::mutex

## participants

GHashTable* janus_textroom_room::participants

## ref

janus_refcount janus_textroom_room::ref

## room_id

guint64 janus_textroom_room::room_id

## room_id_str

gchar* janus_textroom_room::room_id_str

## room_name

gchar* janus_textroom_room::room_name

## room_pin

gchar* janus_textroom_room::room_pin

## room_secret

gchar* janus_textroom_room::room_secret

The documentation for this struct was generated from the following file:

- janus_textroom.c